BusDefinitionParser.BusConfig (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.bus.spring, class: BusDefinitionParser, class: BusConfig

Package org.apache.cxf.bus.spring

# Class BusDefinitionParser.BusConfig

java.lang.Object
org.apache.cxf.interceptor.AbstractBasicInterceptorProvider
org.apache.cxf.bus.spring.BusDefinitionParser.BusConfig

All Implemented Interfaces:
  `InterceptorProvider`, `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

Enclosing class:
  BusDefinitionParser

public static class BusDefinitionParser.BusConfig extends AbstractBasicInterceptorProvider implements org.springframework.context.ApplicationContextAware

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusConfig(String busName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<Feature>`
  `getFeatures()`
  `List<Interceptor<? extends Message>>`
  `getInFaultInterceptors()`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getInInterceptors()`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutFaultInterceptors()`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutInterceptors()`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.
  `Map<String,Object>`
  `getProperties()`
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
  `void`
  `setBus(Bus bb)`
  `void`
  `setFeatures(Collection<? extends Feature> features)`
  `void`
  `setId(String s)`
  `void`
  `setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setInInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setOutInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setProperties(Map<String,Object> s)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BusConfig

    public BusConfig(String busName)

- ## Method Details

  - ### setBus

    public void setBus(Bus bb)

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

  - ### getOutFaultInterceptors

    public List<Interceptor<? extends Message>> getOutFaultInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
    Specified by:
      `getOutFaultInterceptors` in interface `InterceptorProvider`
    Overrides:
      `getOutFaultInterceptors` in class `AbstractBasicInterceptorProvider`
    Returns:
      `List` outgoing fault interceptor chain

  - ### getInFaultInterceptors

    public List<Interceptor<? extends Message>> getInFaultInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
    Specified by:
      `getInFaultInterceptors` in interface `InterceptorProvider`
    Overrides:
      `getInFaultInterceptors` in class `AbstractBasicInterceptorProvider`
    Returns:
      `List` incoming fault interceptor chain

  - ### getInInterceptors

    public List<Interceptor<? extends Message>> getInInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the incoming interceptor chain of the object.
    Specified by:
      `getInInterceptors` in interface `InterceptorProvider`
    Overrides:
      `getInInterceptors` in class `AbstractBasicInterceptorProvider`
    Returns:
      `List` incoming interceptor chain

  - ### getOutInterceptors

    public List<Interceptor<? extends Message>> getOutInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the outgoing interceptor chain of the object.
    Specified by:
      `getOutInterceptors` in interface `InterceptorProvider`
    Overrides:
      `getOutInterceptors` in class `AbstractBasicInterceptorProvider`
    Returns:
      `List` outgoing interceptor chain

  - ### setInInterceptors

    public void setInInterceptors(List<Interceptor<? extends Message>> interceptors)
    Overrides:
      `setInInterceptors` in class `AbstractBasicInterceptorProvider`

  - ### setInFaultInterceptors

    public void setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)
    Overrides:
      `setInFaultInterceptors` in class `AbstractBasicInterceptorProvider`

  - ### setOutInterceptors

    public void setOutInterceptors(List<Interceptor<? extends Message>> interceptors)
    Overrides:
      `setOutInterceptors` in class `AbstractBasicInterceptorProvider`

  - ### setOutFaultInterceptors

    public void setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)
    Overrides:
      `setOutFaultInterceptors` in class `AbstractBasicInterceptorProvider`

  - ### getFeatures

    public Collection<Feature> getFeatures()

  - ### setFeatures

    public void setFeatures(Collection<? extends Feature> features)

  - ### getProperties

    public Map<String,Object> getProperties()

  - ### setProperties

    public void setProperties(Map<String,Object> s)

  - ### setId

    public void setId(String s)